Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

RebarSetAddition Class

The RebarSetAddition class can be used to add RebarLegFace objects to an existing RebarSet.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2019.0.0.0 (2019.0.0.0)
Syntax
[SerializableAttribute]
public class RebarSetAddition : ModelObject

The RebarSetAddition type exposes the following members.

Constructors
  Name Description
Public method RebarSetAddition
Initializes a new instance of the RebarSetAddition class with empty attributes.
Top
Properties
  Name Description
Public property Father
Gets or sets the RebarSet to which the rebar set addition applies.
Public property Identifier
The identifier of the object.
(Inherited from Object.)
Public property IsUpToDate
Gets if the object does not have a modification which is not shared.
(Inherited from ModelObject.)
Public property LegFaces
Gets or sets the rebar set addition's RebarLegFace objects.
Public property ModificationTime
Gets latest time of the object was modified or created.
(Inherited from ModelObject.)
Top
Methods
  Name Description
Public method CompareTo
Compares Identifiers of model objects.
(Inherited from ModelObject.)
Public method Delete
Deletes the rebar set addition with the given identifier from the model database.
(Overrides ModelObjectDelete.)
Public method Equals
Check if Identifiers of model objects are same.
(Inherited from ModelObject.)
Public methodCode example GetAllReportProperties
Retrieves all properties for the model object in one hashtable. Type for the returned value must be checked using type casting.
(Inherited from ModelObject.)
Public method GetAllUserProperties
Retrieves all properties for the model object in one hashtable. Type for the returned value must be checked using type casting.
(Inherited from ModelObject.)
Public method GetChildren
Returns an enumerator of all the children model objects.
(Inherited from ModelObject.)
Public method GetCoordinateSystem
Returns the coordinate system for the given model object.
(Inherited from ModelObject.)
Public method GetDoubleReportProperties
Retrieves multiple double report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public method GetDoubleUserProperties
Retrieves all double properties for the model object.
(Inherited from ModelObject.)
Public method GetDynamicStringProperty
Gets a dynamic string property from the model object.
(Inherited from ModelObject.)
Public method GetFatherComponent
Returns the father component of the model object.
(Inherited from ModelObject.)
Public method GetHierarchicObjects
Returns an enumerator of all the connected hierarchic objects.
(Inherited from ModelObject.)
Public method GetIntegerReportProperties
Retrieves multiple integer report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public method GetIntegerUserProperties
Retrieves all integer properties for the model object.
(Inherited from ModelObject.)
Public method GetPhase
Retrieves the phase of the model object (the phase number, the phase name, the phase comment and whether the phase is the current one or not).
(Inherited from ModelObject.)
Public method GetReportProperty(String, Double)
Retrieves a double property of the report for the model object.
(Inherited from ModelObject.)
Public method GetReportProperty(String, Int32)
Retrieves an integer property of the report for the model object.
(Inherited from ModelObject.)
Public method GetReportProperty(String, String)
Retrieves a string property of the report for the model object.
(Inherited from ModelObject.)
Public method GetStringReportProperties
Retrieves multiple string report properties for the model object. It is faster to fetch multiple properties at once.
(Inherited from ModelObject.)
Public method GetStringUserProperties
Retrieves all string properties for the model object.
(Inherited from ModelObject.)
Public method GetUserProperty(String, Double)
Retrieves a double property for the model object.
(Inherited from ModelObject.)
Public method GetUserProperty(String, Int32)
Retrieves an integer property for the model object.
(Inherited from ModelObject.)
Public method GetUserProperty(String, String)
Retrieves a string property for the model object.
(Inherited from ModelObject.)
Public method Insert
Inserts the rebar set addition into the model database.
(Overrides ModelObjectInsert.)
Public method Modify
Modifies the rebar set addition in the model database to match the current one.
(Overrides ModelObjectModify.)
Public method Select
Selects the rebar set addition from the model database. The rebar set addition identifier must be set.
(Overrides ModelObjectSelect.)
Public method SetDynamicStringProperty
Sets a dynamic string property for the model object.
(Inherited from ModelObject.)
Public method SetLabel
Sets a label for an object when a new instance is created. The label is used in plug-ins for identifying the changed object in modification.
(Inherited from ModelObject.)
Public method SetPhase
Sets the phase of the model object.
(Inherited from ModelObject.)
Public method SetUserProperty(String, Double)
Sets a double property for the model object.
(Inherited from ModelObject.)
Public method SetUserProperty(String, Int32)
Sets an integer property for the model object.
(Inherited from ModelObject.)
Public method SetUserProperty(String, String)
Sets a string property for the model object.
(Inherited from ModelObject.)
Top
Examples
The following example shows how to create and add a RebarSetAddition, to a rebarset.
using Tekla.Structures.Model;
using Tekla.Structures.Geometry3d;

public class Example
{
       public void Example1()
       {
            // Create and insert a rebarset (see the RebarSet example).
            var rebarSet = new RebarSet();

            // Create the RebarSetAddition
            var rebarSetAddition = new RebarSetAddition();

            // Create an additional leg face
            var additionalLegFace = new RebarLegFace
            {
                LayerOrderNumber = 2,
                AdditonalOffset = 25.0,
                Reversed = false
             };

            additionalLegFace.Contour.AddContourPoint(new ContourPoint(new Point(800, 0, 0), null));
            additionalLegFace.Contour.AddContourPoint(new ContourPoint(new Point(800, 0, 500), null));
            additionalLegFace.Contour.AddContourPoint(new ContourPoint(new Point(800, 1200,500), null));
            additionalLegFace.Contour.AddContourPoint(new ContourPoint(new Point(800, 1200, 0), null));

            // Insert the additional leg face
            rebarSetAddition.LegFaces.Add(additionalLegFace);

            rebarSetAddition.Father = rebarSet;
            rebarSetAddition.Insert();
       }
}
See Also